Package Details: portainer-bin 2.1.1-2

Git Clone URL: https://aur.archlinux.org/portainer-bin.git (read-only, click to copy)
Package Base: portainer-bin
Description: A lightweight docker management UI
Upstream URL: https://github.com/portainer/portainer
Keywords: docker management monitoring webui
Licenses: custom:zlib
Conflicts: portainer
Provides: portainer
Submitter: bbrks
Maintainer: bbrks
Last Packager: bbrks
Votes: 3
Popularity: 0.022913
First Submitted: 2020-03-08 04:00
Last Updated: 2021-03-31 10:19

Latest Comments

bbrks commented on 2021-03-31 10:20

@angellusmortis I've got compose >3 support working as long as you have the optional docker-compose dependency installed.

Give it a try and let me know if you run into any issues!

medicineman25 commented on 2021-03-28 15:54

That worked. Thanks. Uninstalled package, deleted /var/lib/portainer, re-installed and restarted service. Option to set appeared.

bbrks commented on 2021-03-28 15:10

There isn't a default password. The first use after installation should guide you through creating an administrator account.

https://documentation.portainer.io/v2.0/deploy/initial/

If this is not happening, I guess you've got a previous installation of Portainer? You can probably wipe existing data by removing the /var/lib/portainer directory.

medicineman25 commented on 2021-03-28 14:09

What is the default username and password? When starting the service it does not give an option to set.

Trying to reset via https://github.com/portainer/helper-reset-password but it "cannot find /data/portainer.db on disk"

bbrks commented on 2021-03-21 22:46

It looks like I can might be able to get it working using the optional docker-compose package based on the changes in https://github.com/portainer/portainer/pull/4713/files

Will take a look when I get a spare hour.

angellusmortis commented on 2021-03-21 17:54

Looks like latest build does not have Docker Compose v3 support for stack builds. Supported was added in this version (2.1.1) and the official Docker container has it, but it looks like this one still says only v2 is supported.

L0-FF commented on 2020-07-10 17:14

No worries,

Thanks for the update.

Cheers.

bbrks commented on 2020-07-10 09:39

Thanks L0-FF, I've updated the PKGBUILD with the correct checksum now. I've no idea how that happened.

L0-FF commented on 2020-07-10 04:13

Package does not install without updating SHA256 checksum of the portainer file (https://github.com/portainer/portainer/releases/download/1.24.0/portainer-1.24.0-linux-amd64.tar.gz)

Install with the: --editmenu option and update the chksum.